LinuxQMISDK: qaGobiApiOmadm.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Functions
qaGobiApiOmadm.h File Reference
Open Mobile Alliance Service (OMA)

Open Mobile Alliance Device Management Service API function prototypes. More...

Go to the source code of this file.

## Functions
ULONG | OMADMStartSession (ULONG sessionType)
ULONG | OMADMCancelSession ()
ULONG | OMADMGetSessionInfo (ULONG *pSessionState, ULONG *pSessionType, ULONG *pFailureReason, BYTE *pRetryCount, WORD *pSessionPause, WORD *pTimeRemaining)
ULONG | OMADMGetPendingNIA (ULONG *pSessionType, USHORT *pSessionID)

## Detailed Description

Open Mobile Alliance Device Management Service API function prototypes.

Copyright: © 2011 Sierra Wireless, Inc. all rights reserved

## Function Documentation

ULONG OMADMCancelSession | ( |  | ) |

Cancels an ongoing OMA-DM session.

Parameters

  None |

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG OMADMGetPendingNIA | ( | ULONG * | pSessionType,
|  | USHORT * | pSessionID
| ) |  |

Returns information about the pending network-initiated alert

Parameters

  SessionType[OUT] | Session Type 0x04 - Network-initiated PRL update 0x05 - Network-initiated device configure
  SessionID[OUT] | Session Id Unique session ID for NIA request

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG OMADMGetSessionInfo | ( | ULONG * | pSessionState,
|  | ULONG * | pSessionType,
|  | ULONG * | pFailureReason,
|  | BYTE * | pRetryCount,
|  | WORD * | pSessionPause,
|  | WORD * | pTimeRemaining
| ) |  |

Returns information related to the current (or previous if no session is active) OMA-DM session.

Parameters

  SessionState[OUT] | Session state 0x00 - Complete, information was updated 0x01 - Complete, update information is unavailable 0x02 - Failed 0x03 - Retrying 0x04 - Connecting 0x05 - Connected 0x06 - Authenticated 0x07 - Mobile Directory Number (MDN) downloaded 0x08 - Mobile Station Identifier (MSID) downloaded 0x09 - PRL downloaded 0x0A - Mobile IP (MIP) profile downloaded
  sessionType[OUT] | Session State 0x00 - Client-initiated device configure 0x01 - Client-initiated PRL update 0x02 - Client-initiated hands-free activation 0x03 - Device-initiated hands-free activation 0x04 - Network-initiated PRL update 0x05 - Network-initiated device configure
  FailureReason[OUT] | Session failure reason (when state indicates failure) 0x00 - Unknown 0x01 - Network is unavailable 0x02 - Server is unavailable 0x03 - Authentication failed 0x04 - Maximum retry exceeded 0x05 - Session is cancelled
  RetryCount[OUT] | Session retry count (when state indicates retrying)
  SessionPause[OUT] | Session pause timer (in seconds , when state indicates retrying)
  TimeRemaining[OUT] | Pause time remaining (in seconds , when state indicates retrying)

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG OMADMStartSession | ( | ULONG | sessionType | ) |

Starts an OMA-DM session.

Parameters

  sessionType | Session type 0x00 - Client-initiated device configure 0x01 - Client-initiated PRL update 0x02 - Client-initiated hands-free activation

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds